/** 
 * MemberSearchVO.java
 * @author 임새미 
 * @since 2016. 11. 2.
 *
 *  	 수정일                     수정자                                       수정내용
 *  -------------	--------	---------------------------
 *  2016. 11. 2. 	    임새미				       최초생성
 * 
 */
package kcg.imis.member.vo;

import kcg.imis.cmmn.bbs.BaseSearchVO;

/**
 * 
  * @FileName : MemberSearchVO.java
  * @Project : 국제해양프로젝트
  * @Date : 2018. 4. 9. 
  * @작성자 : Moon
  * @변경이력 : 
  * @프로그램 설명 :
 */
public class MemberSearchVO extends BaseSearchVO {

	private int recordCountPerAuthPage = 20;
	
	private String userid;
	private String place1;
	private String position;
	private String name;
	private String usertype = UserType.FA;
	private int ordertype;
	private int ordercode;
	private String orderkey;
	
	public MemberSearchVO() {
		super();
	}

	/**
	 * @return the recordCountPerAuthPage
	 */
	public int getRecordCountPerAuthPage() {
		return recordCountPerAuthPage;
	}

	/**
	 * @param recordCountPerAuthPage the recordCountPerAuthPage to set
	 */
	public void setRecordCountPerAuthPage(int recordCountPerAuthPage) {
		this.recordCountPerAuthPage = recordCountPerAuthPage;
	}

	/**
	 * @return the userid
	 */
	public String getUserid() {
		return userid;
	}

	/**
	 * @param userid the userid to set
	 */
	public void setUserid(String userid) {
		this.userid = userid;
	}

	/**
	 * @return the place1
	 */
	public String getPlace1() {
		return place1;
	}

	/**
	 * @param place1 the place1 to set
	 */
	public void setPlace1(String place1) {
		this.place1 = place1;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the usertype
	 */
	public String getUsertype() {
		return usertype;
	}

	/**
	 * @param usertype the usertype to set
	 */
	public void setUsertype(String usertype) {
		this.usertype = usertype;
	}

	/**
	 * @return the orderkey
	 */
	public String getOrderkey() {
		return orderkey;
	}

	/**
	 * @param orderkey the orderkey to set
	 */
	public void setOrderkey(String orderkey) {
	}
	/**
	 * @return the ordercode
	 */
	public int getOrdercode() {
		return ordercode;
	}

	/**
	 * @param ordercode the ordercode to set
	 */
	public void setOrdercode(int ordercode) {
		String key = "";
		this.ordercode = ordercode;
		switch (ordercode) {
		case 0:
			key = "PLACE1";
			break;
		case 1:
			key = "PLACE2";
			break;
		case 2:
			key = "POSITION";
			break;
		case 3:
			key = "NAME";
			break;
		case 4:
			key = "USERID";
			break;
		case 5:
			key = "JOBTYPE";
			break;
		case 6:
			key = "USEGRADE";
			break;
		case 7:
			key = "TOTALEXCAREER";
			break;
		case 8:
			key = "DUTIES";
			break;
		case 9:
			key = "LOGINCHK";
			break;
		case 10:
			key = "CHKCNT";
			break;
		case 11:
			key = "INOUT";
			break;
		case 12:
			key = "NOWPOSITION";
			break;
		case 13:
			key = "NOWPLACE";
			break;
		default:
			key = "";
			break;
		}
		this.orderkey = key;
	}

	/**
	 * @return the ordertype
	 */
	public int getOrdertype() {
		return ordertype;
	}

	/**
	 * @param ordertype the ordertype to set
	 */
	public void setOrdertype(int ordertype) {
		this.ordertype = ordertype;
	}

	/**
	 * @return the position
	 */
	public String getPosition() {
		return position;
	}

	/**
	 * @param position the position to set
	 */
	public void setPosition(String position) {
		this.position = position;
	}
	
}
